Bug 141693 - [MAINTAINER] net-mgmt/zabbix16-server: fix LATEST_LINK
[MAINTAINER] net-mgmt/zabbix16-server: fix LATEST_LINK
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-17 02:40 UTC by Jim Riggs
Modified: 2009-12-18 16:10 UTC (History)
0 users

See Also:


Attachments
zabbix-server-1.6.8,2.patch (595 bytes, patch)
2009-12-17 02:40 UTC, Jim Riggs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Riggs 2009-12-17 02:40:00 UTC
Fix LATEST_LINK for net-mgmt/zabbix16-*.

Generated with FreeBSD Port Tools 0.77
Comment 1 Jim Riggs 2009-12-17 16:35:20 UTC
>Submitter-Id:	current-users
>Originator:	Jim Riggs
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/141693: [MAINTAINER] net-mgmt/zabbix16-server: fix LATEST_LINK
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		maintainer-update
>Release:	FreeBSD 6.3-RELEASE-p2 amd64
>Environment:
System: FreeBSD zion.christianserving.org 6.3-RELEASE-p2 FreeBSD 6.3-RELEASE-p2 #3: Mon May  5 21:27:22 CDT
>Description:
Also fix LIB_DEPENDS and SUB_FILES for zabbix16-agent.

Generated with FreeBSD Port Tools 0.77
>How-To-Repeat:
>Fix:

--- zabbix-server-1.6.8,2.patch begins here ---
diff -ruN --exclude=CVS /root/portwork/zabbix/net-mgmt/zabbix16-server.orig/Makefile /root/portwork/zabbix/net-mgmt/zabbix16-server/Makefile
--- /root/portwork/zabbix/net-mgmt/zabbix16-server.orig/Makefile	2009-12-13 16:30:18.000000000 -0600
+++ /root/portwork/zabbix/net-mgmt/zabbix16-server/Makefile	2009-12-17 10:21:02.000000000 -0600
@@ -15,6 +15,8 @@
 MAINTAINER=	ports@christianserving.org
 COMMENT=	Enterprise-class open source distributed monitoring (${PKGNAMESUFFIX:S/^-//})
 
+LATEST_LINK=	${PORTNAME}16${PKGNAMESUFFIX}
+
 CONFLICTS=	${PKGBASE}-1.8*
 
 .if ${PKGNAMESUFFIX} != "-agent"
@@ -24,11 +26,6 @@
 ZABBIX_BUILD=	${PKGNAMESUFFIX:S/^-//}
 
 .if ${ZABBIX_BUILD} != "frontend" # frontend only needs the version/distribution settings
-LIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
-		curl:${PORTSDIR}/ftp/curl
-
-SUB_FILES=	pkg-message
-
 .if ${ZABBIX_BUILD} != "agent"
 USE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}
 .else
@@ -43,9 +40,16 @@
 
 MAKE_ARGS+=	ARCH=freebsd
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS+=	--enable-${ZABBIX_BUILD} --with-net-snmp
+CONFIGURE_ARGS+=	--enable-${ZABBIX_BUILD}
 
 .if ${ZABBIX_BUILD} != "agent"
+LIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
+		curl:${PORTSDIR}/ftp/curl
+
+SUB_FILES=	pkg-message
+
+CONFIGURE_ARGS+=	--with-net-snmp
+
 OPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
 OPTIONS=	MYSQL "Use MySQL backend" on \
 		PGSQL "Use PostgreSQL backend" off \
--- zabbix-server-1.6.8,2.patch ends here ---
Comment 2 Jim Riggs 2009-12-18 05:04:08 UTC
>Submitter-Id:	current-users
>Originator:	Jim Riggs
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/141693: [MAINTAINER] net-mgmt/zabbix16-server: fix LATEST_LINK
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		maintainer-update
>Release:	FreeBSD 6.3-RELEASE-p2 amd64
>Environment:
System: FreeBSD zion.christianserving.org 6.3-RELEASE-p2 FreeBSD 6.3-RELEASE-p2 #3: Mon May  5 21:27:22 CDT
>Description:
Finally (hopefully) add the database to the REQUIRE list for zabbix16-server and zabbix16-proxy rc scripts to ensure that the database is running before server/proxy.

Generated with FreeBSD Port Tools 0.77
>How-To-Repeat:
>Fix:

--- zabbix-server-1.6.8,2.patch begins here ---
diff -ruN --exclude=CVS /root/portwork/zabbix/net-mgmt/zabbix16-server.orig/Makefile /root/portwork/zabbix/net-mgmt/zabbix16-server/Makefile
--- /root/portwork/zabbix/net-mgmt/zabbix16-server.orig/Makefile	2009-12-13 16:30:18.000000000 -0600
+++ /root/portwork/zabbix/net-mgmt/zabbix16-server/Makefile	2009-12-17 22:54:38.000000000 -0600
@@ -15,6 +15,8 @@
 MAINTAINER=	ports@christianserving.org
 COMMENT=	Enterprise-class open source distributed monitoring (${PKGNAMESUFFIX:S/^-//})
 
+LATEST_LINK=	${PORTNAME}16${PKGNAMESUFFIX}
+
 CONFLICTS=	${PKGBASE}-1.8*
 
 .if ${PKGNAMESUFFIX} != "-agent"
@@ -24,11 +26,6 @@
 ZABBIX_BUILD=	${PKGNAMESUFFIX:S/^-//}
 
 .if ${ZABBIX_BUILD} != "frontend" # frontend only needs the version/distribution settings
-LIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
-		curl:${PORTSDIR}/ftp/curl
-
-SUB_FILES=	pkg-message
-
 .if ${ZABBIX_BUILD} != "agent"
 USE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}
 .else
@@ -39,13 +36,20 @@
 GROUPS=		zabbix
 
 PLIST_SUB=	ZABBIX_BUILD=${ZABBIX_BUILD}
-SUB_LIST=	ZABBIX_BUILD=${ZABBIX_BUILD}
+SUB_LIST=	ZABBIX_BUILD=${ZABBIX_BUILD} ZABBIX_REQUIRE=${ZABBIX_REQUIRE}
 
 MAKE_ARGS+=	ARCH=freebsd
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS+=	--enable-${ZABBIX_BUILD} --with-net-snmp
+CONFIGURE_ARGS+=	--enable-${ZABBIX_BUILD}
 
 .if ${ZABBIX_BUILD} != "agent"
+LIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
+		curl:${PORTSDIR}/ftp/curl
+
+SUB_FILES=	pkg-message
+
+CONFIGURE_ARGS+=	--with-net-snmp
+
 OPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
 OPTIONS=	MYSQL "Use MySQL backend" on \
 		PGSQL "Use PostgreSQL backend" off \
@@ -58,12 +62,15 @@
 .include <bsd.port.options.mk>
 
 .ifndef WITHOUT_MYSQL
+ZABBIX_REQUIRE=	" mysql"
 USE_MYSQL=	yes
 CONFIGURE_ARGS+=	--with-mysql
 .elifdef WITH_PGSQL
+ZABBIX_REQUIRE=	" postgresql"
 USE_PGSQL=	yes
 CONFIGURE_ARGS+=	--with-pgsql
 .elifdef WITH_SQLITE
+ZABBIX_REQUIRE=
 USE_SQLITE=	yes
 CONFIGURE_ARGS+=	--with-sqlite3
 .else
diff -ruN --exclude=CVS /root/portwork/zabbix/net-mgmt/zabbix16-server.orig/files/zabbix_proxy.in /root/portwork/zabbix/net-mgmt/zabbix16-server/files/zabbix_proxy.in
--- /root/portwork/zabbix/net-mgmt/zabbix16-server.orig/files/zabbix_proxy.in	2009-12-13 16:30:18.000000000 -0600
+++ /root/portwork/zabbix/net-mgmt/zabbix16-server/files/zabbix_proxy.in	2009-12-17 22:52:59.000000000 -0600
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # PROVIDE: zabbix_proxy
-# REQUIRE: DAEMON
+# REQUIRE: DAEMON%%ZABBIX_REQUIRE%%
 # KEYWORD: shutdown
 #
 # Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
diff -ruN --exclude=CVS /root/portwork/zabbix/net-mgmt/zabbix16-server.orig/files/zabbix_server.in /root/portwork/zabbix/net-mgmt/zabbix16-server/files/zabbix_server.in
--- /root/portwork/zabbix/net-mgmt/zabbix16-server.orig/files/zabbix_server.in	2009-12-13 16:30:18.000000000 -0600
+++ /root/portwork/zabbix/net-mgmt/zabbix16-server/files/zabbix_server.in	2009-12-17 22:52:48.000000000 -0600
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # PROVIDE: zabbix_server
-# REQUIRE: DAEMON
+# REQUIRE: DAEMON%%ZABBIX_REQUIRE%%
 # KEYWORD: shutdown
 #
 # Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
--- zabbix-server-1.6.8,2.patch ends here ---
Comment 3 pav freebsd_committer 2009-12-18 15:53:44 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter freebsd_committer 2009-12-18 16:02:56 UTC
pav         2009-12-18 16:02:42 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/zabbix16-server Makefile 
    net-mgmt/zabbix16-server/files zabbix_proxy.in 
                                   zabbix_server.in 
  Log:
  - Set LATEST_LINK
  - Add dependencies on db to rc scripts
  - Fix library dependencies and pkg-message for -agent slave
  
  PR:             ports/141693
  Submitted by:   Jim Riggs <ports@christianserving.org> (maintainer)
  
  Revision  Changes    Path
  1.2       +14 -7     ports/net-mgmt/zabbix16-server/Makefile
  1.2       +1 -1      ports/net-mgmt/zabbix16-server/files/zabbix_proxy.in
  1.2       +1 -1      ports/net-mgmt/zabbix16-server/files/zabbix_server.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"